Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request POST \ --url https://api.ctrl-hub.com/v3/sso-providers \ --header 'Content-Type: application/vnd.api+json' \ --header 'X-Session-Token: <api-key>' \ --data ' { "data": { "type": "<string>", "attributes": { "name": "<string>", "metadata": "<string>", "enforce": true }, "relationships": { "organisation": { "data": { "type": "<string>", "id": "<string>" } }, "default_role": { "data": { "type": "<string>", "id": "<string>" } } } } } '
{ "data": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "type": "<string>", "attributes": { "name": "<string>", "metadata": "<string>", "enforce": true }, "relationships": { "organisation": { "data": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "type": "<string>" } } }, "meta": { "created_at": "2023-11-07T05:31:56Z", "oidc_identifier": "<string>", "updated_at": "2023-11-07T05:31:56Z" } }, "jsonapi": { "version": "<string>" } }
Create an SSO provider
Session token for authentication.
The SSO provider to create.
Show child attributes
Get a SSO provider.
JSON API response object
An SSO provider